#!/usr/bin/sh
# Copyright (C) 1998, 2002, 2004, 2007, 2010-2022 Free Software Foundation,
# Inc.
# Copyright (C) 1993 Jean-loup Gailly
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
LC_ALL=C
export LC_ALL
version="znew (gzip) 1.12
Copyright (C) 2010-2018 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of
the GNU General Public License <https://www.gnu.org/licenses/gpl.html>.
There is NO WARRANTY, to the extent permitted by law.
Written by Jean-loup Gailly."
usage="Usage: $0 [OPTION]... [FILE]...
Recompress files from .Z (compress) format to .gz (gzip) format.
Options:
-f Force recompression even if a .gz file already exists.
-t Test the new files before deleting originals.
-v Verbose; display name and statistics for each file compressed.
-9 Use the slowest compression method (optimal compression).
-P Use pipes for the conversion to reduce disk space usage.
-K Keep a .Z file when it is smaller than the .gz file; implies -t.
--help display this help and exit
--version output version information and exit
Report bugs to <bug-gzip@gnu.org>."
check=0
pipe=0
opt=
files=
keep=0
res=0
old=0
new=0
block=1024
# block is the disk block size (best guess, need not be exact)
# Beware -s or --suffix in $GZIP.
unset GZIP
ext=.gz
for arg
do
case "$arg" in
--help) printf '%s\n' "$usage" || exit 1; exit;;
--version) printf '%s\n' "$version" || exit 1; exit;;
-*) opt="$opt $arg"; shift;;
*) break;;
esac
done
if test $# -eq 0; then
echo >&2 "$0: invalid number of operands; try \`$0 --help' for help"
exit 1
fi
opt=`printf '%s\n' "$opt" | sed -e 's/ //g' -e 's/-//g'`
case "$opt" in
*t*) check=1; opt=`printf '%s\n' "$opt" | sed 's/t//g'`
esac
case "$opt" in
*K*) keep=1; check=1; opt=`printf '%s\n' "$opt" | sed 's/K//g'`
esac
case "$opt" in
*P*) pipe=1; opt=`printf '%s\n' "$opt" | sed 's/P//g'`
esac
if test -n "$opt"; then
opt="-$opt"
fi
for i do
n=`printf '%s\n' "$i" | sed 's/.Z$//'`
if test ! -f "$n.Z" ; then
printf '%s\n' "$n.Z not found"
res=1; continue
fi
test $keep -eq 1 && old=`wc -c < "$n.Z"`
if test $pipe -eq 1; then
if gzip -d < "$n.Z" | gzip $opt > "$n$ext"; then
# Copy file attributes from old file to new one, if possible.
touch -r"$n.Z" -- "$n$ext" 2>/dev/null
chmod --reference="$n.Z" -- "$n$ext" 2>/dev/null
else
printf '%s\n' "error while recompressing $n.Z"
res=1; continue
fi
else
if test $check -eq 1; then
if cp -p "$n.Z" "$n.$$"; then
:
else
printf '%s\n' "cannot backup $n.Z"
res=1; continue
fi
fi
if gzip -d "$n.Z"; then
:
else
test $check -eq 1 && mv "$n.$$" "$n.Z"
printf '%s\n' "error while uncompressing $n.Z"
res=1; continue
fi
if gzip $opt "$n"; then
:
else
if test $check -eq 1; then
mv "$n.$$" "$n.Z" && rm -f "$n"
printf '%s\n' "error while recompressing $n"
else
# compress $n (might be dangerous if disk full)
printf '%s\n' "error while recompressing $n, left uncompressed"
fi
res=1; continue
fi
fi
test $keep -eq 1 && new=`wc -c < "$n$ext"`
if test $keep -eq 1 && test `expr \( $old + $block - 1 \) / $block` -lt \
`expr \( $new + $block - 1 \) / $block`; then
if test $pipe -eq 1; then
rm -f "$n$ext"
else
mv "$n.$$" "$n.Z" && rm -f "$n$ext"
fi
printf '%s\n' "$n.Z smaller than $n$ext -- unchanged"
elif test $check -eq 1; then
if gzip -t "$n$ext" ; then
rm -f "$n.$$" "$n.Z"
else
test $pipe -eq 0 && mv "$n.$$" "$n.Z"
rm -f "$n$ext"
printf '%s\n' "error while testing $n$ext, $n.Z unchanged"
res=1; continue
fi
elif test $pipe -eq 1; then
rm -f "$n.Z"
fi
done
exit $res
Directory Contents
Dirs: 0 × Files: 469
!"#$%&'(()*+,-./00123456789 t\
wIDATx ]ys 47Y ƒ - " Rv < f{Ɛ $k l L > L ~h^ 1 [ r G t&h
l F z3O Y ! p A(_g̷ E8 )S 8 c Kb"z ~ 5 J xAL WU < *
5 m;W a pB h ~P J
2 3 6 ҙ .Ƹ P i 4g
F R L P ΪK/D M v (a3
k J
Œ4N5* SH ` SdJ z O J Xՠ V>u ߱ BE&L b2 ?2` tX+ c CB A$ i b C ĀMB E : / # Dx &l =q Ty 0 \p I ( L Ǎ { e
4k ;`u^ヲ eP!( d { )T A 8 O;Ě n >;s6 ! :Nx `[S D HU ~ qJ F}
a g*D 49 / pn k h (t 8NxƐF _!r չ7
ZR R q/5") Ӎ NY 0 x sZ! o
fu , K"$ ? pg 㕣= 1» {h " fh7
y } +7 $ y
" X ą - G P u 4 m >J 5 L =V ' ^@I p ?MS xЌ XV P ! h "C NS9B8̢ ]!K e zA , ӏkbY !< XQ ٿyS| *" f { w 4@[S <
# 0 ! js [m =,~ o
"ݎ DHf Wo $ g ! Vԅ t mB /y Wf V4 c+@x? B ~u " xUN e 0 BĂ)
~J pz!
7y6]l Ԥ@ P a< O /DHC `≻ N m"$ 0ObB }{ x AO FCG DR ^ "B { WDH UR l@ T
# +"d T ; 0 i D}. 7 ` ' ] w rE &S i ƕiTD EL P _ u h $ Ա FG wVD G L R Zf ' .!] J /ZR oGЍs Mr Ĥ ʬ 3 Q [3 cL `^ p +
( F;# B 5 ' 2Y f [ ϶R0e } E 7
6M aۮ H <& n % L] E}Up x紉, Uw' Q Ǯշo k ވۙ 0N94 VX5 xEDE l D #֤ } C o )W : ^ s 9 bRf iX5u ཱི 4 :[ T 1. | [E 2ؽ Iy\ : o x K G 5
ylP ' uK E
ftb/i[3 .g _ [3M n
G, #NwQ5~
ؚ) | n =Ц"x qg gB ` 듘 ~ x w ?
?
R~ _ u. &VQ K˻ H C ( TN˄+ `C dA nB D 3"Z G ê ^k H_ /- ~ " R_ .8 Z_ 6@ o xg uP ? 3լ @7AM! E7^
- =V L x g-D0 CtmW 7 O G _ WD0 g C w1 r
d w : a | \ *" f nֳ ^ H# f L ` Z ۽hV }S F r0Ù Bć5r] @! NL iQ]{s^=4 d WD " " M;
t" 8 5 e dL| "-*st" ) SWD ?R[S e ooF 20.D ? bo =) A i o d ģ ZҰaO
@E =) i D a &ܟa CϞ y6 ,<%{^x%{f8? `iw^ ?/
M
* IEND B`